1 Star 0 Fork 1

Zheng Hao/libzmtp

加入 Gitee
与超过 1200万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
文件
克隆/下载
autogen.sh 725 Bytes
一键复制 编辑 原始数据 按行查看 历史
Pieter Hintjens 提交于 2014-03-22 15:09 . Added autoconf packaging
#!/bin/sh
#
# Script to generate all required files from fresh git checkout.
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
exit 1
fi
command -v autoreconf >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find autoreconf. autoconf and automake are required to run autogen.sh." 1>&2
exit 1
fi
mkdir -p ./config
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not create directory: ./config." 1>&2
exit 1
fi
autoreconf --install --force --verbose -I config
if [ $? -ne 0 ]; then
echo "autogen.sh: error: autoreconf exited with status $?" 1>&2
exit 1
fi
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
C
1
https://gitee.com/tjuzh/libzmtp.git
git@gitee.com:tjuzh/libzmtp.git
tjuzh
libzmtp
libzmtp
master

搜索帮助